Bug 1200286 (CVE-2022-31799)

Summary: VUL-0: CVE-2022-31799: python-bottle: error mishandling during early request binding.
Product: [Novell Products] SUSE Security Incidents Reporter: Thomas Leroy <thomas.leroy>
Component: IncidentsAssignee: Security Team bot <security-team>
Status: NEW --- QA Contact: Security Team bot <security-team>
Severity: Major    
Priority: P3 - Medium CC: adrian.glaubitz, Gyee, security-team, steven.kowalik
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: Other   
URL: https://smash.suse.de/issue/333382/
Whiteboard: CVSSv3.1:SUSE:CVE-2022-31799:7.5:(AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
Found By: Security Response Team Services Priority:
Business Priority: Blocker: ---
Marketing QA Status: --- IT Deployment: ---

Comment 1 Thomas Leroy 2022-06-07 13:37:18 UTC
Affected:
- SUSE:SLE-15:Update/python-bottle      v0.12.13
Comment 2 Guang Yee 2022-07-20 20:31:35 UTC
Patch submitted https://build.opensuse.org/request/show/990452
Comment 3 Thomas Leroy 2022-08-11 08:38:09 UTC
Reassigning.
Matej, could you please submit to SUSE:SLE-15:Update? :)
Comment 4 John Paul Adrian Glaubitz 2022-08-11 09:20:29 UTC
(In reply to Thomas Leroy from comment #3)
> Reassigning.
> Matej, could you please submit to SUSE:SLE-15:Update? :)

Just submitted a fix.
Comment 6 Swamp Workflow Management 2022-09-06 13:26:40 UTC
SUSE-SU-2022:3103-1: An update that fixes one vulnerability is now available.

Category: security (important)
Bug References: 1200286
CVE References: CVE-2022-31799
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    python-bottle-0.12.13-150000.3.6.1
openSUSE Leap 15.3 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Manager Server 4.1 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Manager Retail Branch Server 4.1 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Manager Proxy 4.1 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server for SAP 15 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Server 15-LTSS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Module for Python2 15-SP3 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Enterprise Storage 7 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE Enterprise Storage 6 (src):    python-bottle-0.12.13-150000.3.6.1
SUSE CaaS Platform 4.0 (src):    python-bottle-0.12.13-150000.3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.